mkdir Test
srcdir=$1
rnaclustpath="../bin/RNAclust.pl"

echo "##########################################################################"
echo "Test1: RNAclust.pl --localbin $srcdir --fasta rfam10.fa --dir Test/test1"
echo "default call: tree, but no multiple alignments"
echo "##########################################################################"
$rnaclustpath --localbin $srcdir --fasta rfam10.fa --dir Test/test1

echo "##########################################################################"
echo "Test2: RNAclust.pl --localbin $srcdir --fasta rfam10.fa --dir Test/test2 --malig"
echo "tree and multiple alignments"
echo "##########################################################################"
$rnaclustpath --localbin $srcdir --fasta rfam10.fa --dir Test/test2 --malig

echo "##########################################################################"
echo "Test3: RNAclust.pl --localbin $srcdir --fasta rfam10.fa --dir Test/test3 --rnasoup"
echo "tree and best groups identified by rnasoup"
echo "##########################################################################"
$rnaclustpath --localbin $srcdir --fasta rfam10.fa --dir Test/test3 --rnasoup

echo "##########################################################################"
echo "Test4a: RNAclust.pl --localbin $srcdir --fasta rfam10.fa --dir Test/test4 --dponly"
echo "Create only the base pair probability matrices"
echo "##########################################################################"
$rnaclustpath --localbin $srcdir --fasta rfam10.fa --dir Test/test4 --dponly

echo "##########################################################################"
echo "Test4b: RNAclust.pl --localbin $srcdir --fasta rfam10.fa --dir Test/test4 --start 1 --end 10 --cpu 4 --dpdir Test/test4/pp"
echo "        RNAclust.pl --localbin $srcdir --fasta rfam10.fa --dir Test/test4 --start 11 --end 45 --cpu 4 --dpdir Test/test4/pp"
echo "distribute among machines based on dotplots already given in dpdir?"
echo "##########################################################################"
$rnaclustpath --localbin $srcdir --fasta rfam10.fa --dir Test/test4 --start 1 --end 10 --cpu 4 --dpdir Test/test4/pp
$rnaclustpath --localbin $srcdir --fasta rfam10.fa --dir Test/test4 --start 11 --end 45 --cpu 4 --dpdir Test/test4/pp

echo "##########################################################################"
echo "Test4c: RNAclust.pl --localbin $srcdir --dir Test/test4 --tree"
echo "distribute among machines: calculate tree only?"
echo "##########################################################################"
$rnaclustpath --localbin $srcdir --dir Test/test4 --tree

echo "##########################################################################"
echo "Test4d: RNAclust.pl --localbin $srcdir --dir Test/test4 --rnasoup-only"
echo "distribute among machines: calculate rnasoup-only (includes calculation of multiple alignments (--malig))?"
echo "##########################################################################"
$rnaclustpath --localbin $srcdir --dir Test/test4 --rnasoup-only

echo "##########################################################################"
echo "Test5: RNAclust.pl --localbin $srcdir --fasta rfam10.fa --dir Test/test5"
echo "default call: tree, but no multiple alignments"
echo "##########################################################################"
$rnaclustpath --localbin $srcdir --fasta rfam10.fa --dir Test/test5

echo "##########################################################################"
echo "Test5a: RNAclust.pl --localbin $srcdir --dir Test/test5 --fasta rfam10_add.fa --addSequence --cpu 4"
echo "Add sequences to Test5"
echo "##########################################################################"
#$rnaclustpath --localbin $srcdir --dir Test/test5 --fasta rfam10_add.fa --addSequence --cpu 4

echo "##########################################################################"
echo "Test5b: RNAclust.pl --localbin $srcdir --fasta rfam10.fa --dir Test/test5 --fasta rfam10_add.fa --addSequence --malig --cpu 4"
echo "Add sequences to Test5 and malig"
echo "##########################################################################"
#$rnaclustpath --localbin $srcdir --fasta rfam10.fa --dir Test/test5 --fasta rfam10_add.fa --addSequence --malig --cpu 4

echo "##########################################################################"
echo "Test5c: RNAclust.pl --localbin $srcdir --fasta rfam10.fa --dir Test/test5 --fasta rfam10_add.fa --addSequence --rnasoup --cpu 4"
echo "Add sequences to Test5 and rnasoup"
echo "##########################################################################"
$rnaclustpath --localbin $srcdir --fasta rfam10.fa --dir Test/test5 --fasta rfam10_add.fa --addSequence --rnasoup --cpu 4
#$rnaclustpath --localbin $srcdir --fasta rfam10.fa --dir Test/test5 --fasta rfam10_add.fa --addSequence --rnasoup --cpu 4


